package dareka.processor.impl;

import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import dareka.common.Config;
import dareka.extensions.Rewriter;
import dareka.processor.HttpResponseHeader;

// [nl] XNvgߍ
public class ScriptRewriter implements Rewriter {
    
    Config config;
    public ScriptRewriter(Config config)
    {
    	this.config = config;
    	SCRIPT_PATTERN = Pattern
			.compile("^http://www\\.nicovideo\\.jp" + config.scriptTarget + "$");
    }

	// Rewriter interface
    private Pattern SCRIPT_PATTERN = null;
	
	public Pattern getRewriterSupportedURLAsPattern() {
		return SCRIPT_PATTERN;
	}

	public String onMatch(Matcher match, HttpResponseHeader responseHeader, String content)
			throws IOException {
		return content.replace("</body>", config.scriptText + "\n</body>");
	}

}
